IntegratedSchemaEvolution
Keywords: uk.ac.bbk.dcs.automed.evolution2.schemaEvolution.IntegratedSchemaEvolution class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution2.schemaEvolution
Class IntegratedSchemaEvolution

    java.lang.Object
      uk.ac.bbk.dcs.automed.evolution2.schemaEvolution.SchemaEvolution
          uk.ac.bbk.dcs.automed.evolution2.schemaEvolution.IntegratedSchemaEvolution

All Implemented Interfaces:
  Evolution

    public class IntegratedSchemaEvolution

extends SchemaEvolution

Author:
  Dheeraj Mudgil

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.evolution2.schemaEvolution.SchemaEvolution
`evolutionType, isRepair, schemaEvolutionType, schemaToEvolve`

Fields inherited from interface uk.ac.bbk.dcs.automed.evolution2.Evolution
`EVOLVE_ADD, EVOLVE_CONTRACT, EVOLVE_DATA, EVOLVE_DELETE, EVOLVE_EXTEND, EVOLVE_EXTENTIONAL_SCHEMA, EVOLVE_INTEGRATED_SCHEMA, EVOLVE_MODEL, EVOLVE_RENAME, EVOLVE_SCHEMA`

Constructor Summary
`IntegratedSchemaEvolution(boolean isRepair, Schema integratedSchema, Schema evolvedIntegratedSchema)`

Method Summary
`void` | `createNew()`
`void` | `createNewOneStep()`
`Schema` | `evolve(Transformation t)`
`protected Transformation` | `processAddTransformation(Transformation crntTransformation)`
`protected Transformation` | `processContractTransformation(Transformation crntTransformation)`
`protected Transformation` | `processDeleteTransformation(Transformation crntTransformation)`
`java.lang.Object` | `processEvolution(java.lang.Object inObject)` This is the Overridend method of super class.
`Transformation[]` | `processEvolution(Pathway pathway)`
`protected Transformation` | `processExtendTransformation(Transformation crntTransformation)`
`protected Transformation` | `processRenameTransformation(Transformation crntTransformation)`
`Transformation` | `processTransformation(Transformation crntTransformation)` Process A Passed Transformation
`void` | `repairExisting()`
`void` | `repairExistingOneStep()`

Methods inherited from class uk.ac.bbk.dcs.automed.evolution2.schemaEvolution.SchemaEvolution
`dropSchemas, getEvolutionType, getIsRepair, getSchemaEvolutionType, repairPathway, repairPathway, setIsRepair, simplifyPathway, simplifyPathway`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegratedSchemaEvolution

    public IntegratedSchemaEvolution(boolean isRepair,
                                     Schema integratedSchema,
                                     Schema evolvedIntegratedSchema)
                              throws SchemaEvolutionException

Throws:
  `SchemaEvolutionException`

Method Detail

### createNewOneStep

    public void createNewOneStep()

  Specified by:
    `createNewOneStep` in class `SchemaEvolution`

### repairExistingOneStep

    public void repairExistingOneStep()

  Specified by:
    `repairExistingOneStep` in class `SchemaEvolution`

### createNew

    public void createNew()

  Specified by:
    `createNew` in class `SchemaEvolution`

### repairExisting

    public void repairExisting()

  Specified by:
    `repairExisting` in class `SchemaEvolution`

### evolve

    public Schema evolve(Transformation t)

### processEvolution

    public java.lang.Object processEvolution(java.lang.Object inObject)
                                      throws SchemaEvolutionException

  This is the Overridend method of super class. 1) It takes all the pathways between two supplied schemas 2) For each pathway it checks if any steps are required in the evolution process 3) Calls for simplification of the pathway.

  Specified by:
    `processEvolution` in interface `Evolution`
  Overrides:
    `processEvolution` in class `SchemaEvolution`
  Throws:
    `SchemaEvolutionException`

### processEvolution

    public Transformation[] processEvolution(Pathway pathway)
                                      throws SchemaEvolutionException

  Throws:
    `SchemaEvolutionException`

### processTransformation

    public Transformation processTransformation(Transformation crntTransformation)

  Process A Passed Transformation

  Parameters:
    `crntTransformation` - name of the current Transformation.

### processRenameTransformation

    protected Transformation processRenameTransformation(Transformation crntTransformation)

  Specified by:
    `processRenameTransformation` in class `SchemaEvolution`

### processContractTransformation

    protected Transformation processContractTransformation(Transformation crntTransformation)

  Specified by:
    `processContractTransformation` in class `SchemaEvolution`

### processExtendTransformation

    protected Transformation processExtendTransformation(Transformation crntTransformation)

  Specified by:
    `processExtendTransformation` in class `SchemaEvolution`

### processDeleteTransformation

    protected Transformation processDeleteTransformation(Transformation crntTransformation)

  Specified by:
    `processDeleteTransformation` in class `SchemaEvolution`

### processAddTransformation

    protected Transformation processAddTransformation(Transformation crntTransformation)

  Specified by:
    `processAddTransformation` in class `SchemaEvolution`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD